<?php

/**
 * Football Manager for JohnCMS
 * Модерация участников
 * @author Screamer
 */

$textl = 'Модерация участников';

require '../incfiles/head.php';

echo '<div class="phdr"><a href="index.php"><b>Футбольный менеджер</b></a> | Модерация участников</div>';
switch ($mod) {
	case 'accept': // Принятие заявки
		if ($id) {
			mysql_query("UPDATE `man_clubs` SET `umod` = '1' WHERE `id` = '" . $id . "'");
		} else {
			// Принять все
			mysql_query("UPDATE `man_clubs` SET `umod` = '1'");
		}
		header('Location: ' . core::$system_set['homeurl'] . '/manager/panel.php?act=moderation');
		exit;
		break;
	case 'decline': // Отклонение заявки
		if ($id) {
			mysql_query("UPDATE `man_clubs` SET `uid` = '0' WHERE `id` = '" . $id . "'");
		} else {
			// Отклонить все
			mysql_query("UPDATE `man_clubs` SET `uid` = '0'");
		}
		header('Location: ' . core::$system_set['homeurl'] . '/manager/panel.php?act=moderation');
		exit;
		break;
	default: // Список заявок
		$query = mysql_query(
				"SELECT `man_clubs`.`name` AS `cname`, `man_clubs`.`id` AS `cid`, `users`.`id` AS `uid`, `users`.`name` AS `nick` "
				. "FROM `man_clubs` "
				. "LEFT JOIN `users` ON `man_clubs`.`uid` = `users`.`id`"
				. "WHERE `uid` != '0' AND `umod` = '0'"
		);
		if (mysql_num_rows($query) > 0) {
			$i = 0;
			while ($item = mysql_fetch_assoc($query)) {
				echo '<div class="list' . ($i % 2 ? '2' : '1') . '">'
					. '<a href="' . core::$system_set['homeurl'] . '/users/profile.php?user=' . $item['uid'] . '">'
					. htmlentities($item['nick'], ENT_QUOTES, 'UTF-8') . '</a> - '
					. '<a href="index.php?act=club&amp;id=' . $item['cid'] . '">'
					. htmlentities($item['cname'], ENT_QUOTES, 'UTF-8') . '</a>'
					. '<div class="sub"><a href="?act=moderation&amp;mod=accept&amp;id=' . $item['cid'] . '">Принять</a> | '
					. '<a href="?act=moderation&amp;mod=decline&amp;id=' . $item['cid'] . '">Отклонить</a></div>'
					. '</div>';
				$i++;
			}
			echo '<div class="gmenu">'
				. '<a href="?act=moderation&amp;mod=accept" style="text-decoration: none"><input type="button" value="Принять все" /></a>&#160;'
				. '<a href="?act=moderation&amp;mod=decline" style="text-decoration: none"><input type="button" value="Отклонить все" /></a>'
				. '</div>';
		} else {
			echo '<div class="menu">Список пуст</div>';
		}
		break;
}
echo '<div class="phdr"><a href="?">Назад</a></div>';

require '../incfiles/end.php';